function slice()
  close all
  meshfile=gmsh.buildmesh3d('cylinder3holes',10);
  Th=siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);

  %fc_tools.graphics.DisplayFigures('nfig',4);

  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_siplt.slice(Th,U,P)
  hold on
  fc_siplt.plotmesh(Th,'d',1,'color','k')
  view(-11,15)
end